В ProjectScopeServices нет доступных сервисов типа Factory

apply plugin: 'com.github.dcendents.android-maven'
apply plugin: 'com.jfrog.bintray'

// load properties
Properties properties = new Properties()
File localPropertiesFile = project.file("local.properties");
if(localPropertiesFile.exists()){
    properties.load(localPropertiesFile.newDataInputStream())
}
File projectPropertiesFile = project.file("project.properties");
if(projectPropertiesFile.exists()){
    properties.load(projectPropertiesFile.newDataInputStream())
}

//read properties
def projectName = properties.getProperty("project.name")
def projectGroupId = properties.getProperty("project.groupId")
def projectArtifactId = properties.getProperty("project.artifactId")
def projectVersionName = android.defaultConfig.versionName
def projectPackaging = properties.getProperty("project.packaging")
def projectSiteUrl = properties.getProperty("project.siteUrl")
def projectGitUrl = properties.getProperty("project.gitUrl")

def developerId = properties.getProperty("developer.id")
def developerName = properties.getProperty("developer.name")
def developerEmail = properties.getProperty("developer.email")

def bintrayUser = properties.getProperty("bintray.user")
def bintrayApikey = properties.getProperty("bintray.apikey")

def javadocName = properties.getProperty("javadoc.name")

group = projectGroupId

install {
    repositories.mavenInstaller {
        pom {
            project {
                name projectName
                groupId projectGroupId
                artifactId projectArtifactId
                version projectVersionName
                packaging projectPackaging
                url projectSiteUrl
                licenses {
                    license {
                        name 'The Apache Software License, Version 2.0'
                        url 'http://www.apache.org/licenses/LICENSE-2.0.txt'
                    }
                }
                developers {
                    developer {
                        id developerId
                        name developerName
                        email developerEmail
                    }
                }
                scm {
                    connection projectGitUrl
                    developerConnection projectGitUrl
                    url projectSiteUrl
                }
            }
        }
    }
}

task sourcesJar(type: Jar) {
    from android.sourceSets.main.java.srcDirs
    classifier = 'sources'
}

task javadoc(type: Javadoc) {
    source = android.sourceSets.main.java.srcDirs
    classpath += project.files(android.getBootClasspath().join(File.pathSeparator))
}

task javadocJar(type: Jar, dependsOn: javadoc) {
    classifier = 'javadoc'
    from javadoc.destinationDir
}

artifacts {
    archives javadocJar
    archives sourcesJar
}

javadoc {
    failOnError false

    options{
        encoding 'UTF-8'
        charSet 'UTF-8'
        author true
        version projectVersionName
        links "http://docs.oracle.com/javase/7/docs/api"
        title javadocName
    }
}

bintray {
    user = bintrayUser
    key = bintrayApikey
    configurations = ['archives']
    pkg {
        repo = "maven"
        name = projectName
        websiteUrl = projectSiteUrl
        vcsUrl = projectGitUrl
        licenses = ["Apache-2.0"]
        publish = true
    }
}

используйте это, чтобы загрузить код в bintray и приведет к ошибке:No service of type Factory available in ProjectScopeServices. если я использую Gradle 2.10 будет работать нормально, но в 2.14.1 (AS 2.2 Preview 7 нужно 2.14.1) придет эта ошибка!

 android developer10 авг. 2016 г., 09:37
У меня та же проблема, о которой сообщалось здесь:code.google.com/p/android/issues/detail?id=219692 (к сожалению, плохо редактировал заголовок)

Ответы на вопрос(3)

ven gradle. Проверьте ваш дистрибутивUrl отgradle-wrapper.properties файл в корневой папке Android Studio. Основываясь на упомянутой версии Gradle, вы можете найтиплагин maven gradle версия отэта ссылка

просто обновите ту версию, которая может решить вашу проблему.

Решение Вопроса

adle

dependencies {
    classpath 'com.android.tools.build:gradle:2.2.2'
    classpath 'com.github.dcendents:android-maven-gradle-plugin:1.4.1'
}
 wqycsu11 июл. 2017 г., 05:16
Не могли бы вы объяснить, почему эта ошибка происходит?
 Fang12 авг. 2016 г., 11:30
эта версия загружена?
 Waylan Punch19 окт. 2016 г., 18:34
Я столкнулся с той же проблемой , спасибо answer твой ответ решил мою проблему
 Fang12 авг. 2016 г., 11:30
 Abhijeet19 мая 2017 г., 06:32
Ошибка выдачи: не удалось найти com.github.dcendents: android-maven-plugin: 1.4.1.
 yUdoDis14 нояб. 2017 г., 17:45
Я волнуюсь, не понимаю, но это сработало, и это меня разозлило.
 Aaron30 авг. 2016 г., 14:19
Ребята, нужны ли эти зависимости и блок classpath внутри секции buildscript файла build.gradle?
 Neil Galiaskarov23 дек. 2016 г., 18:02
Может кто-нибудь объяснить, как это решает проблему?

Просто добавьте эту строку кода в вашGradle уровня проекта

dependencies{
   classpath 'com.github.dcendents:android-maven-gradle-plugin:2.0'
}

Ваш ответ на вопрос